*{
    margin:0;
    padding:0;
    box-sizing: border-box;
}
.loader{
    position: absolute;
    top:50%;
    left: 50%;
    width: 60px;
    height: 60px;
    margin: -40px;
    transform: rotate(46deg);
    animation: animate 2s ease-in-out infinite;
}
.loader div{
    position: absolute;
    top: 0;
    left: 0;
    border: 4px solid #333;
    width: 100%;
    height: 100%;
}
.loader div:nth-child(1){
    animation: div-1 2s ease-in-out infinite;
}
.loader div:nth-child(2){
    animation: div-2 2s ease-in-out infinite;
}
.loader div:nth-child(3){
    animation: div-3 2s ease-in-out infinite;
}
.loader div:nth-child(4){
    animation: div-4 2s ease-in-out infinite;
}

@keyframes div-1{
    0%,100%{
        transform: translateY(0px);
    }
    50%{
        transform: translateY(-60px);
        border-color: #2196F3;
        
    }
}
@keyframes div-2{
    0%,100%{
        transform: translateX(0px);
    }
    50%{
        transform: translateX(60px);
        border-color: #EF6C00;
    }
}
@keyframes div-3{
    0%,100%{
        transform: translateY(0px);
    }
    50%{
        transform: translateY(60px);
        border-color:#388E3C;
    }
}
@keyframes div-4{
    0%,100%{
        transform: translateX(0px);
    }
    50%{
        transform: translateX(-60px);
        border-color:#DD2C00;
    }
}
@keyframes animate{
    0%{
        transform: rotate(45deg);
    }
    50%{
        transform: rotate(135deg);
    }
    100%{
        transform: rotate(225deg);
    }
}